%define name	openca-sv
%define version 0.9.94
%define release 6mdk

Summary:	OpenCA Sign and Verify Toolkit
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		System/Servers
URL:		http://www.openca.org
Source0:	openca-sv-%{version}.tar.bz2
BuildRequires:	openssl-devel
BuildRequires:	file
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenCA SV Tool is aimed to help you in generating PKCS#7
signatures and verify them. This tool can also verify signatures
generated with Netscape crypto() javascript function.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n %{name}-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# fix man pages
mv %{buildroot}%{_mandir}/man1/sign.1 %{buildroot}%{_mandir}/man1/openca-sign.1
mv %{buildroot}%{_mandir}/man1/verify.1 %{buildroot}%{_mandir}/man1/openca-verify.1

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING INSTALL LICENSE README test perl-example
%attr(0755,root,root) %{_bindir}/openca-sv
%{_mandir}/man1/openca-sign.1*
%{_mandir}/man1/openca-verify.1*

%changelog
* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-6mdk
- fix deps

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-5mdk
- strip away annoying ^M

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-4mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-3mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Sat May 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-2mdk
- added P0 (from CVS)

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.94-1mdk
- initial Mandrake package, used bits and pieces from the provided spec
  files and also from the latest work by Michael Bell
